import Vue from 'vue';
import axios from "axios";

import ElementUI from 'element-ui';
// import 'element-ui/lib/theme-chalk/index.css';
import App from './App.vue';
import router from './router';
import store from './store';
import api from './api/api'
import tool from './utils/tool'
import FileType from './utils/matchingFeilType'
import upload from './api/upload'
import './style/style.css'
import './style/theme/index.css'
import tableLayout from './components/dynamic-table'
import sort from './components/sort'
import '@/style/theme/font-icon/iconfont.css'

Vue.prototype.$api = api

Vue.prototype.$upload = upload

Vue.prototype.tool = tool

Vue.prototype.fileType = FileType

Vue.prototype.$axios = axios

Vue.prototype.tableHieght = 'calc(100vh - 302px)'

Vue.config.productionTip = false;

Vue.component('tableLayout', tableLayout)
Vue.component('sort', sort)

Vue.use(ElementUI);

new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount('#app');
